Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network198.18.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
198.18.0.0
Broadcast address
198.19.255.255
First usable
198.18.0.1
Last usable
198.19.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Benchmarking 198.18.0.0/15
Network equipment testing (RFC 2544)
Old class
C (default /24)
As numbers
Hex C6120000 · Integer 3323068416 to 3323199487
Reverse DNS zones
18.198.in-addr.arpa
19.198.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000110.00010010.00000000.00000000198.18.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network11000110.00010010.00000000.00000000198.18.0.0
Broadcast11000110.00010011.11111111.11111111198.19.255.255
Split into smaller subnets/26

198.18.0.0/15 makes 2,048 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1198.18.0.0/26198.18.0.1 to 198.18.0.62198.18.0.6362
2198.18.0.64/26198.18.0.65 to 198.18.0.126198.18.0.12762
3198.18.0.128/26198.18.0.129 to 198.18.0.190198.18.0.19162
4198.18.0.192/26198.18.0.193 to 198.18.0.254198.18.0.25562
5198.18.1.0/26198.18.1.1 to 198.18.1.62198.18.1.6362
6198.18.1.64/26198.18.1.65 to 198.18.1.126198.18.1.12762
7198.18.1.128/26198.18.1.129 to 198.18.1.190198.18.1.19162
8198.18.1.192/26198.18.1.193 to 198.18.1.254198.18.1.25562
9198.18.2.0/26198.18.2.1 to 198.18.2.62198.18.2.6362
10198.18.2.64/26198.18.2.65 to 198.18.2.126198.18.2.12762
11198.18.2.128/26198.18.2.129 to 198.18.2.190198.18.2.19162
12198.18.2.192/26198.18.2.193 to 198.18.2.254198.18.2.25562
13198.18.3.0/26198.18.3.1 to 198.18.3.62198.18.3.6362
14198.18.3.64/26198.18.3.65 to 198.18.3.126198.18.3.12762
15198.18.3.128/26198.18.3.129 to 198.18.3.190198.18.3.19162
16198.18.3.192/26198.18.3.193 to 198.18.3.254198.18.3.25562
17198.18.4.0/26198.18.4.1 to 198.18.4.62198.18.4.6362
18198.18.4.64/26198.18.4.65 to 198.18.4.126198.18.4.12762
19198.18.4.128/26198.18.4.129 to 198.18.4.190198.18.4.19162
20198.18.4.192/26198.18.4.193 to 198.18.4.254198.18.4.25562
21198.18.5.0/26198.18.5.1 to 198.18.5.62198.18.5.6362
22198.18.5.64/26198.18.5.65 to 198.18.5.126198.18.5.12762
23198.18.5.128/26198.18.5.129 to 198.18.5.190198.18.5.19162
24198.18.5.192/26198.18.5.193 to 198.18.5.254198.18.5.25562
25198.18.6.0/26198.18.6.1 to 198.18.6.62198.18.6.6362
26198.18.6.64/26198.18.6.65 to 198.18.6.126198.18.6.12762
27198.18.6.128/26198.18.6.129 to 198.18.6.190198.18.6.19162
28198.18.6.192/26198.18.6.193 to 198.18.6.254198.18.6.25562
29198.18.7.0/26198.18.7.1 to 198.18.7.62198.18.7.6362
30198.18.7.64/26198.18.7.65 to 198.18.7.126198.18.7.12762
31198.18.7.128/26198.18.7.129 to 198.18.7.190198.18.7.19162
32198.18.7.192/26198.18.7.193 to 198.18.7.254198.18.7.25562
33198.18.8.0/26198.18.8.1 to 198.18.8.62198.18.8.6362
34198.18.8.64/26198.18.8.65 to 198.18.8.126198.18.8.12762
35198.18.8.128/26198.18.8.129 to 198.18.8.190198.18.8.19162
36198.18.8.192/26198.18.8.193 to 198.18.8.254198.18.8.25562
37198.18.9.0/26198.18.9.1 to 198.18.9.62198.18.9.6362
38198.18.9.64/26198.18.9.65 to 198.18.9.126198.18.9.12762
39198.18.9.128/26198.18.9.129 to 198.18.9.190198.18.9.19162
40198.18.9.192/26198.18.9.193 to 198.18.9.254198.18.9.25562
41198.18.10.0/26198.18.10.1 to 198.18.10.62198.18.10.6362
42198.18.10.64/26198.18.10.65 to 198.18.10.126198.18.10.12762
43198.18.10.128/26198.18.10.129 to 198.18.10.190198.18.10.19162
44198.18.10.192/26198.18.10.193 to 198.18.10.254198.18.10.25562
45198.18.11.0/26198.18.11.1 to 198.18.11.62198.18.11.6362
46198.18.11.64/26198.18.11.65 to 198.18.11.126198.18.11.12762
47198.18.11.128/26198.18.11.129 to 198.18.11.190198.18.11.19162
48198.18.11.192/26198.18.11.193 to 198.18.11.254198.18.11.25562
49198.18.12.0/26198.18.12.1 to 198.18.12.62198.18.12.6362
50198.18.12.64/26198.18.12.65 to 198.18.12.126198.18.12.12762
51198.18.12.128/26198.18.12.129 to 198.18.12.190198.18.12.19162
52198.18.12.192/26198.18.12.193 to 198.18.12.254198.18.12.25562
53198.18.13.0/26198.18.13.1 to 198.18.13.62198.18.13.6362
54198.18.13.64/26198.18.13.65 to 198.18.13.126198.18.13.12762
55198.18.13.128/26198.18.13.129 to 198.18.13.190198.18.13.19162
56198.18.13.192/26198.18.13.193 to 198.18.13.254198.18.13.25562
57198.18.14.0/26198.18.14.1 to 198.18.14.62198.18.14.6362
58198.18.14.64/26198.18.14.65 to 198.18.14.126198.18.14.12762
59198.18.14.128/26198.18.14.129 to 198.18.14.190198.18.14.19162
60198.18.14.192/26198.18.14.193 to 198.18.14.254198.18.14.25562
61198.18.15.0/26198.18.15.1 to 198.18.15.62198.18.15.6362
62198.18.15.64/26198.18.15.65 to 198.18.15.126198.18.15.12762
63198.18.15.128/26198.18.15.129 to 198.18.15.190198.18.15.19162
64198.18.15.192/26198.18.15.193 to 198.18.15.254198.18.15.25562
65198.18.16.0/26198.18.16.1 to 198.18.16.62198.18.16.6362
66198.18.16.64/26198.18.16.65 to 198.18.16.126198.18.16.12762
67198.18.16.128/26198.18.16.129 to 198.18.16.190198.18.16.19162
68198.18.16.192/26198.18.16.193 to 198.18.16.254198.18.16.25562
69198.18.17.0/26198.18.17.1 to 198.18.17.62198.18.17.6362
70198.18.17.64/26198.18.17.65 to 198.18.17.126198.18.17.12762
71198.18.17.128/26198.18.17.129 to 198.18.17.190198.18.17.19162
72198.18.17.192/26198.18.17.193 to 198.18.17.254198.18.17.25562
73198.18.18.0/26198.18.18.1 to 198.18.18.62198.18.18.6362
74198.18.18.64/26198.18.18.65 to 198.18.18.126198.18.18.12762
75198.18.18.128/26198.18.18.129 to 198.18.18.190198.18.18.19162
76198.18.18.192/26198.18.18.193 to 198.18.18.254198.18.18.25562
77198.18.19.0/26198.18.19.1 to 198.18.19.62198.18.19.6362
78198.18.19.64/26198.18.19.65 to 198.18.19.126198.18.19.12762
79198.18.19.128/26198.18.19.129 to 198.18.19.190198.18.19.19162
80198.18.19.192/26198.18.19.193 to 198.18.19.254198.18.19.25562
81198.18.20.0/26198.18.20.1 to 198.18.20.62198.18.20.6362
82198.18.20.64/26198.18.20.65 to 198.18.20.126198.18.20.12762
83198.18.20.128/26198.18.20.129 to 198.18.20.190198.18.20.19162
84198.18.20.192/26198.18.20.193 to 198.18.20.254198.18.20.25562
85198.18.21.0/26198.18.21.1 to 198.18.21.62198.18.21.6362
86198.18.21.64/26198.18.21.65 to 198.18.21.126198.18.21.12762
87198.18.21.128/26198.18.21.129 to 198.18.21.190198.18.21.19162
88198.18.21.192/26198.18.21.193 to 198.18.21.254198.18.21.25562
89198.18.22.0/26198.18.22.1 to 198.18.22.62198.18.22.6362
90198.18.22.64/26198.18.22.65 to 198.18.22.126198.18.22.12762
91198.18.22.128/26198.18.22.129 to 198.18.22.190198.18.22.19162
92198.18.22.192/26198.18.22.193 to 198.18.22.254198.18.22.25562
93198.18.23.0/26198.18.23.1 to 198.18.23.62198.18.23.6362
94198.18.23.64/26198.18.23.65 to 198.18.23.126198.18.23.12762
95198.18.23.128/26198.18.23.129 to 198.18.23.190198.18.23.19162
96198.18.23.192/26198.18.23.193 to 198.18.23.254198.18.23.25562
97198.18.24.0/26198.18.24.1 to 198.18.24.62198.18.24.6362
98198.18.24.64/26198.18.24.65 to 198.18.24.126198.18.24.12762
99198.18.24.128/26198.18.24.129 to 198.18.24.190198.18.24.19162
100198.18.24.192/26198.18.24.193 to 198.18.24.254198.18.24.25562
101198.18.25.0/26198.18.25.1 to 198.18.25.62198.18.25.6362
102198.18.25.64/26198.18.25.65 to 198.18.25.126198.18.25.12762
103198.18.25.128/26198.18.25.129 to 198.18.25.190198.18.25.19162
104198.18.25.192/26198.18.25.193 to 198.18.25.254198.18.25.25562
105198.18.26.0/26198.18.26.1 to 198.18.26.62198.18.26.6362
106198.18.26.64/26198.18.26.65 to 198.18.26.126198.18.26.12762
107198.18.26.128/26198.18.26.129 to 198.18.26.190198.18.26.19162
108198.18.26.192/26198.18.26.193 to 198.18.26.254198.18.26.25562
109198.18.27.0/26198.18.27.1 to 198.18.27.62198.18.27.6362
110198.18.27.64/26198.18.27.65 to 198.18.27.126198.18.27.12762
111198.18.27.128/26198.18.27.129 to 198.18.27.190198.18.27.19162
112198.18.27.192/26198.18.27.193 to 198.18.27.254198.18.27.25562
113198.18.28.0/26198.18.28.1 to 198.18.28.62198.18.28.6362
114198.18.28.64/26198.18.28.65 to 198.18.28.126198.18.28.12762
115198.18.28.128/26198.18.28.129 to 198.18.28.190198.18.28.19162
116198.18.28.192/26198.18.28.193 to 198.18.28.254198.18.28.25562
117198.18.29.0/26198.18.29.1 to 198.18.29.62198.18.29.6362
118198.18.29.64/26198.18.29.65 to 198.18.29.126198.18.29.12762
119198.18.29.128/26198.18.29.129 to 198.18.29.190198.18.29.19162
120198.18.29.192/26198.18.29.193 to 198.18.29.254198.18.29.25562
121198.18.30.0/26198.18.30.1 to 198.18.30.62198.18.30.6362
122198.18.30.64/26198.18.30.65 to 198.18.30.126198.18.30.12762
123198.18.30.128/26198.18.30.129 to 198.18.30.190198.18.30.19162
124198.18.30.192/26198.18.30.193 to 198.18.30.254198.18.30.25562
125198.18.31.0/26198.18.31.1 to 198.18.31.62198.18.31.6362
126198.18.31.64/26198.18.31.65 to 198.18.31.126198.18.31.12762
127198.18.31.128/26198.18.31.129 to 198.18.31.190198.18.31.19162
128198.18.31.192/26198.18.31.193 to 198.18.31.254198.18.31.25562
129198.18.32.0/26198.18.32.1 to 198.18.32.62198.18.32.6362
130198.18.32.64/26198.18.32.65 to 198.18.32.126198.18.32.12762
131198.18.32.128/26198.18.32.129 to 198.18.32.190198.18.32.19162
132198.18.32.192/26198.18.32.193 to 198.18.32.254198.18.32.25562
133198.18.33.0/26198.18.33.1 to 198.18.33.62198.18.33.6362
134198.18.33.64/26198.18.33.65 to 198.18.33.126198.18.33.12762
135198.18.33.128/26198.18.33.129 to 198.18.33.190198.18.33.19162
136198.18.33.192/26198.18.33.193 to 198.18.33.254198.18.33.25562
137198.18.34.0/26198.18.34.1 to 198.18.34.62198.18.34.6362
138198.18.34.64/26198.18.34.65 to 198.18.34.126198.18.34.12762
139198.18.34.128/26198.18.34.129 to 198.18.34.190198.18.34.19162
140198.18.34.192/26198.18.34.193 to 198.18.34.254198.18.34.25562
141198.18.35.0/26198.18.35.1 to 198.18.35.62198.18.35.6362
142198.18.35.64/26198.18.35.65 to 198.18.35.126198.18.35.12762
143198.18.35.128/26198.18.35.129 to 198.18.35.190198.18.35.19162
144198.18.35.192/26198.18.35.193 to 198.18.35.254198.18.35.25562
145198.18.36.0/26198.18.36.1 to 198.18.36.62198.18.36.6362
146198.18.36.64/26198.18.36.65 to 198.18.36.126198.18.36.12762
147198.18.36.128/26198.18.36.129 to 198.18.36.190198.18.36.19162
148198.18.36.192/26198.18.36.193 to 198.18.36.254198.18.36.25562
149198.18.37.0/26198.18.37.1 to 198.18.37.62198.18.37.6362
150198.18.37.64/26198.18.37.65 to 198.18.37.126198.18.37.12762
151198.18.37.128/26198.18.37.129 to 198.18.37.190198.18.37.19162
152198.18.37.192/26198.18.37.193 to 198.18.37.254198.18.37.25562
153198.18.38.0/26198.18.38.1 to 198.18.38.62198.18.38.6362
154198.18.38.64/26198.18.38.65 to 198.18.38.126198.18.38.12762
155198.18.38.128/26198.18.38.129 to 198.18.38.190198.18.38.19162
156198.18.38.192/26198.18.38.193 to 198.18.38.254198.18.38.25562
157198.18.39.0/26198.18.39.1 to 198.18.39.62198.18.39.6362
158198.18.39.64/26198.18.39.65 to 198.18.39.126198.18.39.12762
159198.18.39.128/26198.18.39.129 to 198.18.39.190198.18.39.19162
160198.18.39.192/26198.18.39.193 to 198.18.39.254198.18.39.25562
161198.18.40.0/26198.18.40.1 to 198.18.40.62198.18.40.6362
162198.18.40.64/26198.18.40.65 to 198.18.40.126198.18.40.12762
163198.18.40.128/26198.18.40.129 to 198.18.40.190198.18.40.19162
164198.18.40.192/26198.18.40.193 to 198.18.40.254198.18.40.25562
165198.18.41.0/26198.18.41.1 to 198.18.41.62198.18.41.6362
166198.18.41.64/26198.18.41.65 to 198.18.41.126198.18.41.12762
167198.18.41.128/26198.18.41.129 to 198.18.41.190198.18.41.19162
168198.18.41.192/26198.18.41.193 to 198.18.41.254198.18.41.25562
169198.18.42.0/26198.18.42.1 to 198.18.42.62198.18.42.6362
170198.18.42.64/26198.18.42.65 to 198.18.42.126198.18.42.12762
171198.18.42.128/26198.18.42.129 to 198.18.42.190198.18.42.19162
172198.18.42.192/26198.18.42.193 to 198.18.42.254198.18.42.25562
173198.18.43.0/26198.18.43.1 to 198.18.43.62198.18.43.6362
174198.18.43.64/26198.18.43.65 to 198.18.43.126198.18.43.12762
175198.18.43.128/26198.18.43.129 to 198.18.43.190198.18.43.19162
176198.18.43.192/26198.18.43.193 to 198.18.43.254198.18.43.25562
177198.18.44.0/26198.18.44.1 to 198.18.44.62198.18.44.6362
178198.18.44.64/26198.18.44.65 to 198.18.44.126198.18.44.12762
179198.18.44.128/26198.18.44.129 to 198.18.44.190198.18.44.19162
180198.18.44.192/26198.18.44.193 to 198.18.44.254198.18.44.25562
181198.18.45.0/26198.18.45.1 to 198.18.45.62198.18.45.6362
182198.18.45.64/26198.18.45.65 to 198.18.45.126198.18.45.12762
183198.18.45.128/26198.18.45.129 to 198.18.45.190198.18.45.19162
184198.18.45.192/26198.18.45.193 to 198.18.45.254198.18.45.25562
185198.18.46.0/26198.18.46.1 to 198.18.46.62198.18.46.6362
186198.18.46.64/26198.18.46.65 to 198.18.46.126198.18.46.12762
187198.18.46.128/26198.18.46.129 to 198.18.46.190198.18.46.19162
188198.18.46.192/26198.18.46.193 to 198.18.46.254198.18.46.25562
189198.18.47.0/26198.18.47.1 to 198.18.47.62198.18.47.6362
190198.18.47.64/26198.18.47.65 to 198.18.47.126198.18.47.12762
191198.18.47.128/26198.18.47.129 to 198.18.47.190198.18.47.19162
192198.18.47.192/26198.18.47.193 to 198.18.47.254198.18.47.25562
193198.18.48.0/26198.18.48.1 to 198.18.48.62198.18.48.6362
194198.18.48.64/26198.18.48.65 to 198.18.48.126198.18.48.12762
195198.18.48.128/26198.18.48.129 to 198.18.48.190198.18.48.19162
196198.18.48.192/26198.18.48.193 to 198.18.48.254198.18.48.25562
197198.18.49.0/26198.18.49.1 to 198.18.49.62198.18.49.6362
198198.18.49.64/26198.18.49.65 to 198.18.49.126198.18.49.12762
199198.18.49.128/26198.18.49.129 to 198.18.49.190198.18.49.19162
200198.18.49.192/26198.18.49.193 to 198.18.49.254198.18.49.25562
201198.18.50.0/26198.18.50.1 to 198.18.50.62198.18.50.6362
202198.18.50.64/26198.18.50.65 to 198.18.50.126198.18.50.12762
203198.18.50.128/26198.18.50.129 to 198.18.50.190198.18.50.19162
204198.18.50.192/26198.18.50.193 to 198.18.50.254198.18.50.25562
205198.18.51.0/26198.18.51.1 to 198.18.51.62198.18.51.6362
206198.18.51.64/26198.18.51.65 to 198.18.51.126198.18.51.12762
207198.18.51.128/26198.18.51.129 to 198.18.51.190198.18.51.19162
208198.18.51.192/26198.18.51.193 to 198.18.51.254198.18.51.25562
209198.18.52.0/26198.18.52.1 to 198.18.52.62198.18.52.6362
210198.18.52.64/26198.18.52.65 to 198.18.52.126198.18.52.12762
211198.18.52.128/26198.18.52.129 to 198.18.52.190198.18.52.19162
212198.18.52.192/26198.18.52.193 to 198.18.52.254198.18.52.25562
213198.18.53.0/26198.18.53.1 to 198.18.53.62198.18.53.6362
214198.18.53.64/26198.18.53.65 to 198.18.53.126198.18.53.12762
215198.18.53.128/26198.18.53.129 to 198.18.53.190198.18.53.19162
216198.18.53.192/26198.18.53.193 to 198.18.53.254198.18.53.25562
217198.18.54.0/26198.18.54.1 to 198.18.54.62198.18.54.6362
218198.18.54.64/26198.18.54.65 to 198.18.54.126198.18.54.12762
219198.18.54.128/26198.18.54.129 to 198.18.54.190198.18.54.19162
220198.18.54.192/26198.18.54.193 to 198.18.54.254198.18.54.25562
221198.18.55.0/26198.18.55.1 to 198.18.55.62198.18.55.6362
222198.18.55.64/26198.18.55.65 to 198.18.55.126198.18.55.12762
223198.18.55.128/26198.18.55.129 to 198.18.55.190198.18.55.19162
224198.18.55.192/26198.18.55.193 to 198.18.55.254198.18.55.25562
225198.18.56.0/26198.18.56.1 to 198.18.56.62198.18.56.6362
226198.18.56.64/26198.18.56.65 to 198.18.56.126198.18.56.12762
227198.18.56.128/26198.18.56.129 to 198.18.56.190198.18.56.19162
228198.18.56.192/26198.18.56.193 to 198.18.56.254198.18.56.25562
229198.18.57.0/26198.18.57.1 to 198.18.57.62198.18.57.6362
230198.18.57.64/26198.18.57.65 to 198.18.57.126198.18.57.12762
231198.18.57.128/26198.18.57.129 to 198.18.57.190198.18.57.19162
232198.18.57.192/26198.18.57.193 to 198.18.57.254198.18.57.25562
233198.18.58.0/26198.18.58.1 to 198.18.58.62198.18.58.6362
234198.18.58.64/26198.18.58.65 to 198.18.58.126198.18.58.12762
235198.18.58.128/26198.18.58.129 to 198.18.58.190198.18.58.19162
236198.18.58.192/26198.18.58.193 to 198.18.58.254198.18.58.25562
237198.18.59.0/26198.18.59.1 to 198.18.59.62198.18.59.6362
238198.18.59.64/26198.18.59.65 to 198.18.59.126198.18.59.12762
239198.18.59.128/26198.18.59.129 to 198.18.59.190198.18.59.19162
240198.18.59.192/26198.18.59.193 to 198.18.59.254198.18.59.25562
241198.18.60.0/26198.18.60.1 to 198.18.60.62198.18.60.6362
242198.18.60.64/26198.18.60.65 to 198.18.60.126198.18.60.12762
243198.18.60.128/26198.18.60.129 to 198.18.60.190198.18.60.19162
244198.18.60.192/26198.18.60.193 to 198.18.60.254198.18.60.25562
245198.18.61.0/26198.18.61.1 to 198.18.61.62198.18.61.6362
246198.18.61.64/26198.18.61.65 to 198.18.61.126198.18.61.12762
247198.18.61.128/26198.18.61.129 to 198.18.61.190198.18.61.19162
248198.18.61.192/26198.18.61.193 to 198.18.61.254198.18.61.25562
249198.18.62.0/26198.18.62.1 to 198.18.62.62198.18.62.6362
250198.18.62.64/26198.18.62.65 to 198.18.62.126198.18.62.12762
251198.18.62.128/26198.18.62.129 to 198.18.62.190198.18.62.19162
252198.18.62.192/26198.18.62.193 to 198.18.62.254198.18.62.25562
253198.18.63.0/26198.18.63.1 to 198.18.63.62198.18.63.6362
254198.18.63.64/26198.18.63.65 to 198.18.63.126198.18.63.12762
255198.18.63.128/26198.18.63.129 to 198.18.63.190198.18.63.19162
256198.18.63.192/26198.18.63.193 to 198.18.63.254198.18.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses